/*
	Preparation Date : 2014-09-24
	Preparation By   : Rahmat
	Description      : Create PO letter
*/

CREATE PROCEDURE [dbo].[SP_DLV_PO_LETTER] @PO_NO varchar(12)
AS
BEGIN
SELECT DISTINCT
POH.PO_NO,POH.PROD_MONTH,POH.CREATED_DT,POH.LP_CD AS CODE,
PARTNER.LOG_PARTNER_NAME AS NAME,
PARTNER.LOG_PARTNER_ID,PARTNER.LOG_PARTNER_ADDRESS,PARTNER.POSTAL_CD,PARTNER.CITY,PARTNER.ATTENTION,PARTNER.PHONE_NUMBER,PARTNER.FAX_NUMBER,
POH.PO_AMOUNT,POH.PO_CURR,
ROW_NUMBER() OVER(ORDER BY POD.PO_ITEM_NO ASC) AS PO_ITEM_NO,POD.ROUTE_CD,ROUTE.ROUTE_NAME,
POD.PO_QTY,POD.PRICE,(POD.PO_QTY * POD.PRICE) AS AMOUNT,
POH.REMARK,CONVERT(VARCHAR(10),GETDATE(),104) AS PRINT_DATE,
(CASE 
 WHEN POH.DPH_APPROVED_BY = POH.DH_APPROVED_BY THEN ''
 WHEN POH.SH_APPROVED_BY = POH.DPH_APPROVED_BY THEN ''
 ELSE (SELECT FULL_NAME FROM TB_R_VW_EMPLOYEE WHERE USERNAME = POH.SH_APPROVED_BY) END) AS SH_APPROVED_BY,
(CASE
 WHEN POH.DPH_APPROVED_BY = POH.SH_APPROVED_BY THEN ''
 WHEN POH.DPH_APPROVED_BY = POH.DPH_APPROVED_BY THEN ''
 ELSE (SELECT FULL_NAME FROM TB_R_VW_EMPLOYEE WHERE USERNAME = POH.DPH_APPROVED_BY) END) AS DPH_APPROVED_BY,
(CASE
 WHEN POH.SH_APPROVED_BY = POH.DPH_APPROVED_BY THEN (SELECT FULL_NAME FROM TB_R_VW_EMPLOYEE WHERE USERNAME = POH.DH_APPROVED_BY) 
 ELSE (SELECT FULL_NAME FROM TB_R_VW_EMPLOYEE WHERE USERNAME = POH.DH_APPROVED_BY)  END) AS DH_APPROVED_BY
 
FROM TB_R_DLV_PO_H POH 
     INNER JOIN TB_R_DLV_PO_ITEM POD ON POD.PO_NO = POH.PO_NO
     LEFT JOIN TB_M_LOGISTIC_PARTNER PARTNER ON PARTNER.LOG_PARTNER_CD = POH.LP_CD
     LEFT JOIN TB_M_DLV_ROUTE ROUTE ON ROUTE.ROUTE_CD = POD.ROUTE_CD
WHERE POH.PO_NO = @PO_NO
END

